Subject: Re: SR and RR in RTCP compound packet

From: Stephen Casner <[email-masked]>
Date: Mon, 9 Aug 1999 14:23:26 -0700 (Pacific Daylight Time)

On Mon, 9 Aug 1999, Colin Perkins wrote:

> The rule is simple: if a source has sent any RTP data since its last RTCP
> report, it sends a SR. If it has not sent any RTP data it sends a RR. The
> choice between SR and RR does not depend on any other sources.

RFC 1890 says:

   The SR is issued if a site has
   sent any data packets during the interval since issuing the last
   report or the previous one, otherwise the RR is issued.

The reason for "or the previous one" is to give some redundancy in
case one SR is lost and, if both SR's after the end of data are
received, to allow the receiver to see that in fact the source has
stopped sending.
							-- Steve